=== debian/changelog ===
deepin-compressor (6.5.4) unstable; urgency=medium

  * chore: New version 6.5.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 02 Apr 2025 16:02:11 +0800

deepin-compressor (6.5.3) unstable; urgency=medium

  * bump version to 6.5.3
  * Fix encryption with chinese characters issue.

 -- re2zero <yangwu@uniontech.com>  Thu, 27 Mar 2025 13:25:42 +0800

deepin-compressor (6.5.2) unstable; urgency=medium

  * bump version to 6.5.2.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 06 Mar 2025 20:25:27 +0800

deepin-compressor (6.5.1) unstable; urgency=medium

  * bump version to 6.5.1

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 15:30:43 +0800

deepin-compressor (6.5.0) unstable; urgency=medium

  * bump version to 6.5.0

 -- renbin <renbin@uniontech.com>  Mon, 06 Jan 2025 17:15:17 +0800

deepin-compressor (5.12.26) unstable; urgency=medium

  * fix: Optimization of file list encryption method for decompression(Task: 326497)

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 21 Mar 2024 16:29:26 +0800

deepin-compressor (5.12.25) unstable; urgency=medium

  * changelog 5.12.25.

 -- muyuankai <muyuankai@uniontech.com>  Wed, 21 Feb 2024 16:55:01 +0800

deepin-compressor (5.12.24) unstable; urgency=medium

  * changelog 5.12.24.

 -- muyuankai <muyuankai@uniontech.com>  Thu, 01 Feb 2024 14:22:50 +0800

deepin-compressor (5.12.23) unstable; urgency=medium

  * changelog 5.12.23.

 -- muyuankai <muyuankai@uniontech.com>  Wed, 17 Jan 2024 17:23:00 +0800

deepin-compressor (5.12.22) unstable; urgency=medium

  * changelog 5.12.22.

 -- liuqingfu <liuqingfu@uniontech.com>  Tue, 09 Jan 2024 15:11:01 +0800

deepin-compressor (5.12.21) unstable; urgency=medium

  * changelog 5.12.21.

 -- muyuankai <muyuankai@uniontech.com>  Tue, 12 Dec 2023 13:28:41 +0800

deepin-compressor (5.12.20) unstable; urgency=medium

  * changelog 5.12.20.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 16 Oct 2023 16:14:26 +0800

deepin-compressor (5.12.19) unstable; urgency=medium

  * changelog 5.12.19.
  * 

 -- muyuankai <muyuankai@uniontech.com>  Mon, 25 Sep 2023 17:05:01 +0800

deepin-compressor (5.12.18) unstable; urgency=medium

  * changelog 5.12.18.

 -- wangcong <wangcong@uniontech.com>  Fri, 30 Aug 2023 11:31:46 +0800

deepin-compressor (5.12.17) unstable; urgency=medium

  * changelog 5.12.17.

 -- muyuankai <muyuankai@uniontech.com>  Fri, 04 Aug 2023 11:31:46 +0800

deepin-compressor (5.12.16) unstable; urgency=medium

  * changelog 5.12.16.

 -- muyuankai <muyuankai@uniontech.com>  Wed, 12 Jul 2023 14:36:17 +0800

deepin-compressor (5.12.15) unstable; urgency=medium

  * changelog 5.12.15.
  * 

 -- muyuankai <muyuankai@uniontech.com>  Mon, 17 Apr 2023 17:09:31 +0800
