=== debian/changelog ===
deepin-compressor (6.5.9) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Thu, 26 Jun 2025 13:52:33 +0800

deepin-compressor (6.5.8) unstable; urgency=medium

  * fix: Remove spaces in archive manager titles for consistency

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 24 Jun 2025 17:14:10 +0800

deepin-compressor (6.5.7) unstable; urgency=medium

  * update changelog

 -- Liuyangming <liuyangming@uniontech.com>  Mon, 23 Jun 2025 14:10:12 +0800

deepin-compressor (6.5.6) unstable; urgency=medium

  * chore: Update CMake configuration for C flags

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 11:03:57 +0800

deepin-compressor (6.5.5) unstable; urgency=medium

  * chore: New version 6.5.5.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 24 Apr 2025 20:38:48 +0800
