=== debian/changelog ===
deepin-compressor (6.5.12) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 15:39:12 +0800

deepin-compressor (6.5.11) unstable; urgency=medium

  * update version to 6.5.11. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 03 Jul 2025 20:53:43 +0800

deepin-compressor (6.5.10) unstable; urgency=medium

  * update version to 6.5.10. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 20:38:06 +0800
