=== debian/control ===
Source: deepin-compressor
Section: devel
Priority: optional
Maintainer: packages <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 cmake,
 qt6-5compat-dev | libqt5x11extras5-dev,
 qt6-base-dev | qtbase5-dev,
 qt6-tools-dev-tools | qttools5-dev-tools,
 qt6-tools-dev | qttools5-dev,
 qt6-svg-dev | libqt5svg5-dev,
 libdtk6widget-dev | libdtkwidget-dev,
 libdtk6gui-dev | libdtkgui-dev,
 libdtk6core-dev | libdtkcore-dev,
 libudisks2-qt6-dev | libudisks2-qt5-dev,
 libkf6codecs-dev | libkf5codecs-dev,
 libkf6archive-dev | libkf5archive-dev,
 libgtest-dev,
 deepin-gettext-tools,
 libgsettings-qt-dev,
 libarchive-dev,
 libsecret-1-dev,
 libpoppler-cpp-dev,
 libzip-dev,
 libmount-dev,
 libminizip-dev,
Standards-Version: 4.1.3

Package: deepin-compressor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, p7zip-full, deepin-shortcut-viewer, unar[i386 amd64], unrar[i386 amd64], pigz
Recommends: uos-reporter, deepin-event-log
Description: Archive Manager is a fast and lightweight application for creating and extracting archives.
 Archive Manager is a user-friendly and easy-to-use compressing and decompressing software, supporting multiple compressing formats such as 7z, jar, tar, tar.bz2, tar.gz, tar.lz, tar.lzm, tar.lzo, tar.Z, zip as well as encrypted compressing settings.
