=== debian/changelog ===
deepin-compressor (6.5.16) unstable; urgency=medium

  * chore: Update version to 6.5.16

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 30 Oct 2025 19:20:31 +0800
